=== debian/changelog ===
pydantic (2.12.3-2) unstable; urgency=medium

  * Accept pydantic-core 2.41.5.

 -- Colin Watson <cjwatson@debian.org>  Fri, 07 Nov 2025 12:24:41 +0000

pydantic (2.12.3-1) unstable; urgency=medium

  * New upstream release.
  * Build-depend on python3-pytz rather than python3-tz.

 -- Colin Watson <cjwatson@debian.org>  Sat, 18 Oct 2025 22:28:39 +0100
