=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pydantic-$1.tar.gz%" \
   https://github.com/pydantic/pydantic/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
