## pydantic 2.12.4

=== debian/changelog ===
pydantic (2.12.4-1) unstable; urgency=medium

  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 09 Nov 2025 17:45:55 +0000
