=== debian/control ===
--- 
+++ 
@@ -35,7 +35,6 @@
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pydantic
 Vcs-Git: https://salsa.debian.org/python-team/packages/pydantic.git
 Homepage: https://github.com/samuelcolvin/pydantic
-Rules-Requires-Root: no
 
 Package: python3-pydantic
 Architecture: any
