## pydantic core-0.7.1

=== Makefile ===
--- 
+++ 
@@ -63,7 +63,7 @@
 	cargo fmt --version
 	cargo fmt --all -- --check
 	cargo clippy --version
-	cargo clippy -- -D warnings -A incomplete_features
+	cargo clippy -- -D warnings -A incomplete_features -W clippy::dbg_macro -W clippy::print_stdout
 
 .PHONY: lint
 lint: lint-python lint-rust
