## pydantic core-0.8.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 .DEFAULT_GOAL := all
 isort = isort pydantic_core tests generate_self_schema.py
 black = black pydantic_core tests generate_self_schema.py wasm-preview/run_tests.py
+ruff = ruff pydantic_core tests generate_self_schema.py wasm-preview/run_tests.py
 
 .PHONY: install
 install:
@@ -50,11 +51,12 @@
 format:
 	$(isort)
 	$(black)
+	$(ruff) --fix --exit-zero
 	cargo fmt
 
 .PHONY: lint-python
 lint-python:
-	flake8 --max-line-length 120 pydantic_core tests generate_self_schema.py wasm-preview/run_tests.py
+	$(ruff)
 	$(isort) --check-only --df
 	$(black) --check --diff
