## pydantic core-0.9.0

=== tests/requirements.txt ===
coverage==7.0.5
dirty-equals==0.5.0
hypothesis==6.63.0
pytest==7.2.1
pytest-speed==0.3.5
pytest-mock==3.10.0
pytest-pretty==1.0.1
pytest-timeout==2.1.0
pydantic==1.10.4;python_version>="3.8"
pytz==2022.7.1
