## pydantic core-0.16.0

=== Makefile ===
--- 
+++ 
@@ -76,7 +76,7 @@
 
 .PHONY: test
 test:
-	coverage run -m pytest
+	pytest
 
 .PHONY: py-benchmark
 py-benchmark: BRANCH=$(shell git rev-parse --abbrev-ref HEAD)
