## pydantic core-0.33.0

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 .PHONY: build-dev
 build-dev:
 	@rm -f pydantic_core/*.so
-	cargo build
+	cargo build --features extension-module
 	@rm -f target/debug/lib_pydantic_core.d
 	@rm -f target/debug/lib_pydantic_core.rlib
 	@mv target/debug/lib_pydantic_core.* pydantic_core/_pydantic_core.so
@@ -26,7 +26,7 @@
 .PHONY: build-prod
 build-prod:
 	@rm -f pydantic_core/*.so
-	cargo build --release
+	cargo build --release --features extension-module
 	@rm -f target/release/lib_pydantic_core.d
 	@rm -f target/release/lib_pydantic_core.rlib
 	@mv target/release/lib_pydantic_core.* pydantic_core/_pydantic_core.so
@@ -35,15 +35,15 @@
 build-coverage:
 	pip uninstall -y pydantic_core
 	rm -f pydantic_core/*.so
-	RUSTFLAGS='-C instrument-coverage -A incomplete_features' cargo build
+	RUSTFLAGS='-C instrument-coverage -A incomplete_features' cargo build --features extension-module
 	@rm -f target/debug/lib_pydantic_core.d
 	@rm -f target/debug/lib_pydantic_core.rlib
 	mv target/debug/lib_pydantic_core.* pydantic_core/_pydantic_core.so
 
 .PHONY: build-wasm
 build-wasm:
-	@echo 'This requires python 3.10, maturin and emsdk to be installed'
-	maturin build --release --target wasm32-unknown-emscripten --out dist -i 3.10
+	@echo 'This requires python 3.11, maturin and emsdk to be installed'
+	maturin build --release --target wasm32-unknown-emscripten --out dist -i 3.11
 	ls -lh dist
 
 .PHONY: format
@@ -56,13 +56,14 @@
 lint-python:
 	$(ruff)
 	$(black) --check --diff
+	griffe dump -f -d google -LWARNING -o/dev/null pydantic_core
 
 .PHONY: lint-rust
 lint-rust:
 	cargo fmt --version
 	cargo fmt --all -- --check
 	cargo clippy --version
-	cargo clippy -- -D warnings -A incomplete_features -W clippy::dbg_macro -W clippy::print_stdout
+	cargo clippy --tests -- -D warnings -A incomplete_features -W clippy::dbg_macro -W clippy::print_stdout
 
 .PHONY: lint
 lint: lint-python lint-rust
@@ -81,9 +82,6 @@
 	@echo "running the \"complete\" python benchmarks, saving to: $(BRANCH)"
 	pytest tests/benchmarks/test_complete_benchmark.py --benchmark-enable --benchmark-save=$(BRANCH)
 
-.PHONY: rust-benchmark
-rust-benchmark:
-	cargo rust-bench
 
 .PHONY: testcov
 testcov: build-coverage
