## pydantic core-2.0.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 .DEFAULT_GOAL := all
-black = black pydantic_core tests generate_self_schema.py wasm-preview/run_tests.py
-ruff = ruff pydantic_core tests generate_self_schema.py wasm-preview/run_tests.py
+black = black python/pydantic_core tests generate_self_schema.py wasm-preview/run_tests.py
+ruff = ruff python/pydantic_core tests generate_self_schema.py wasm-preview/run_tests.py
+mypy-stubtest = python -m mypy.stubtest pydantic_core._pydantic_core --allowlist .mypy-stubtest-allowlist
 
 .PHONY: install
 install:
@@ -17,28 +18,21 @@
 
 .PHONY: build-dev
 build-dev:
-	@rm -f pydantic_core/*.so
+	@rm -f python/pydantic_core/*.so
 	cargo build --features extension-module
 	@rm -f target/debug/lib_pydantic_core.d
 	@rm -f target/debug/lib_pydantic_core.rlib
-	@mv target/debug/lib_pydantic_core.* pydantic_core/_pydantic_core.so
+	@mv target/debug/lib_pydantic_core.* python/pydantic_core/_pydantic_core.so
 
 .PHONY: build-prod
 build-prod:
-	@rm -f pydantic_core/*.so
-	cargo build --release --features extension-module
-	@rm -f target/release/lib_pydantic_core.d
-	@rm -f target/release/lib_pydantic_core.rlib
-	@mv target/release/lib_pydantic_core.* pydantic_core/_pydantic_core.so
+	@rm -f python/pydantic_core/*.so
+	maturin develop --release
 
 .PHONY: build-coverage
 build-coverage:
-	pip uninstall -y pydantic_core
-	rm -f pydantic_core/*.so
-	RUSTFLAGS='-C instrument-coverage -A incomplete_features' cargo build --features extension-module
-	@rm -f target/debug/lib_pydantic_core.d
-	@rm -f target/debug/lib_pydantic_core.rlib
-	mv target/debug/lib_pydantic_core.* pydantic_core/_pydantic_core.so
+	rm -f python/pydantic_core/*.so
+	maturin develop -- -C instrument-coverage
 
 .PHONY: build-wasm
 build-wasm:
@@ -56,14 +50,42 @@
 lint-python:
 	$(ruff)
 	$(black) --check --diff
-	griffe dump -f -d google -LWARNING -o/dev/null pydantic_core
+	$(mypy-stubtest)
+	griffe dump -f -d google -LWARNING -o/dev/null python/pydantic_core
 
 .PHONY: lint-rust
 lint-rust:
 	cargo fmt --version
 	cargo fmt --all -- --check
 	cargo clippy --version
-	cargo clippy --tests -- -D warnings -A incomplete_features -W clippy::dbg_macro -W clippy::print_stdout
+	cargo clippy --tests -- \
+		-D warnings \
+		-W clippy::pedantic \
+		-W clippy::dbg_macro \
+		-W clippy::print_stdout \
+		-A clippy::cast-possible-truncation \
+		-A clippy::cast-possible-wrap \
+		-A clippy::cast-precision-loss \
+		-A clippy::cast-sign-loss \
+		-A clippy::doc-markdown \
+		-A clippy::float-cmp \
+		-A clippy::fn-params-excessive-bools \
+		-A clippy::if-not-else \
+		-A clippy::manual-let-else \
+		-A clippy::match-bool \
+		-A clippy::match-same-arms \
+		-A clippy::missing-errors-doc \
+		-A clippy::missing-panics-doc \
+		-A clippy::module-name-repetitions \
+		-A clippy::must-use-candidate \
+		-A clippy::needless-pass-by-value \
+		-A clippy::similar-names \
+		-A clippy::single-match-else \
+		-A clippy::struct-excessive-bools \
+		-A clippy::too-many-lines \
+		-A clippy::unnecessary-wraps \
+		-A clippy::unused-self \
+		-A clippy::used-underscore-binding
 
 .PHONY: lint
 lint: lint-python lint-rust
@@ -83,7 +105,7 @@
 	coverage run -m pytest
 	coverage report
 	coverage html -d htmlcov/python
-	coverage-prepare html pydantic_core/*.so
+	coverage-prepare html python/pydantic_core/*.so
 
 .PHONY: all
 all: format build-dev lint test
@@ -118,4 +140,4 @@
 	rm -f .coverage.*
 	rm -rf build
 	rm -rf perf.data*
-	rm -rf pydantic_core/*.so
+	rm -rf python/pydantic_core/*.so
