## pydantic core-2.6.1

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,13 @@
 black = black python/pydantic_core tests generate_self_schema.py wasm-preview/run_tests.py
 ruff = ruff python/pydantic_core tests generate_self_schema.py wasm-preview/run_tests.py
 mypy-stubtest = python -m mypy.stubtest pydantic_core._pydantic_core --allowlist .mypy-stubtest-allowlist
+
+# using pip install cargo (via maturin via pip) doesn't get the tty handle
+# so doesn't render color without some help
+export CARGO_TERM_COLOR=$(shell (test -t 0 && echo "always") || echo "auto")
+# maturin develop only makes sense inside a virtual env, is otherwise
+# more or less equivalent to pip install -e just a little nicer
+USE_MATURIN = $(shell [ "$$VIRTUAL_ENV" != "" ] && (which maturin))
 
 .PHONY: install
 install:
@@ -16,23 +23,64 @@
 	cargo install rustfilt coverage-prepare
 	rustup component add llvm-tools-preview
 
+.PHONY: install-pgo
+	rustup component add llvm-tools-preview
+
 .PHONY: build-dev
 build-dev:
 	@rm -f python/pydantic_core/*.so
-	cargo build --features extension-module
-	@rm -f target/debug/lib_pydantic_core.d
-	@rm -f target/debug/lib_pydantic_core.rlib
-	@mv target/debug/lib_pydantic_core.* python/pydantic_core/_pydantic_core.so
+ifneq ($(USE_MATURIN),)
+	maturin develop
+else
+	pip install -v -e . --config-settings=build-args='--profile dev'
+endif
 
 .PHONY: build-prod
 build-prod:
 	@rm -f python/pydantic_core/*.so
+ifneq ($(USE_MATURIN),)
 	maturin develop --release
+else
+	pip install -v -e .
+endif
+
+.PHONY: build-profiling
+build-profiling:
+	@rm -f python/pydantic_core/*.so
+ifneq ($(USE_MATURIN),)
+	CARGO_PROFILE_RELEASE_STRIP=false CARGO_PROFILE_RELEASE_DEBUG=true maturin develop --release
+else
+	CARGO_PROFILE_RELEASE_STRIP=false CARGO_PROFILE_RELEASE_DEBUG=true pip install -v -e .
+endif
 
 .PHONY: build-coverage
 build-coverage:
-	rm -f python/pydantic_core/*.so
-	maturin develop -- -C instrument-coverage
+	@rm -f python/pydantic_core/*.so
+ifneq ($(USE_MATURIN),)
+	RUSTFLAGS='-C instrument-coverage' maturin develop --release
+else
+	RUSTFLAGS='-C instrument-coverage' pip install -v -e .
+endif
+
+.PHONY: build-pgo
+build-pgo:
+	@rm -f python/pydantic_core/*.so
+	$(eval PROFDATA := $(shell mktemp -d))
+ifneq ($(USE_MATURIN),)
+	RUSTFLAGS='-Cprofile-generate=$(PROFDATA)' maturin develop --release
+else
+	RUSTFLAGS='-Cprofile-generate=$(PROFDATA)' pip install -v -e .
+endif
+	pytest tests/benchmarks
+	$(eval LLVM_PROFDATA := $(shell rustup run stable bash -c 'echo $$RUSTUP_HOME/toolchains/$$RUSTUP_TOOLCHAIN/lib/rustlib/$$(rustc -Vv | grep host | cut -d " " -f 2)/bin/llvm-profdata'))
+	$(LLVM_PROFDATA) merge -o $(PROFDATA)/merged.profdata $(PROFDATA)
+ifneq ($(USE_MATURIN),)
+	RUSTFLAGS='-Cprofile-use=$(PROFDATA)/merged.profdata' maturin develop --release
+else
+	RUSTFLAGS='-Cprofile-use=$(PROFDATA)/merged.profdata' pip install -v -e .
+endif
+	@rm -rf $(PROFDATA)
+
 
 .PHONY: build-wasm
 build-wasm:
