## pydantic core-2.14.6

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 .DEFAULT_GOAL := all
-black = black python/pydantic_core tests generate_self_schema.py wasm-preview/run_tests.py
-ruff = ruff python/pydantic_core tests generate_self_schema.py wasm-preview/run_tests.py
+sources = python/pydantic_core tests generate_self_schema.py wasm-preview/run_tests.py
+
 mypy-stubtest = python -m mypy.stubtest pydantic_core._pydantic_core --allowlist .mypy-stubtest-allowlist
 
 # using pip install cargo (via maturin via pip) doesn't get the tty handle
@@ -90,14 +90,14 @@
 
 .PHONY: format
 format:
-	$(black)
-	$(ruff) --fix --exit-zero
+	ruff --fix $(sources)
+	ruff format $(sources)
 	cargo fmt
 
 .PHONY: lint-python
 lint-python:
-	$(ruff)
-	$(black) --check --diff
+	ruff $(sources)
+	ruff format --check $(sources)
 	$(mypy-stubtest)
 	griffe dump -f -d google -LWARNING -o/dev/null python/pydantic_core
 
@@ -109,8 +109,6 @@
 	cargo clippy --tests -- \
 		-D warnings \
 		-W clippy::pedantic \
-		-W clippy::dbg_macro \
-		-W clippy::print_stdout \
 		-A clippy::cast-possible-truncation \
 		-A clippy::cast-possible-wrap \
 		-A clippy::cast-precision-loss \
